Bug Hunting Session
Bug 111880 - RTL Writer comments missing in print
Summary: RTL Writer comments missing in print
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Writer-Comments Print
  Show dependency treegraph
 
Reported: 2017-08-17 10:42 UTC by Hamid
Modified: 2019-10-01 03:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Source RTL document with an RTL comment (9.14 KB, application/vnd.oasis.opendocument.text)
2017-08-17 11:02 UTC, Hamid
Details
Source RTL document with an RTL comment printed to file (19.45 KB, application/pdf)
2017-08-17 11:04 UTC, Hamid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hamid 2017-08-17 10:42:48 UTC
Hello,

RTL documents show the comments on the left side of the screen. When selecting to print the document including its comments in the margin, the highlights and bubbles are ok, but the margin is on the right side of the paper. It means comments are misplaced. the result is a shrank text with blank right margin.
Comment 1 Xisco Faulí 2017-08-17 10:47:43 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Hamid 2017-08-17 11:02:41 UTC
Created attachment 135613 [details]
Source RTL document with an RTL comment
Comment 3 Hamid 2017-08-17 11:04:23 UTC
Created attachment 135614 [details]
Source RTL document with an RTL comment printed to file
Comment 4 QA Administrators 2018-03-02 10:01:02 UTC Comment hidden (obsolete)
Comment 5 Dieter Praas 2018-03-09 11:00:46 UTC
I confirm it with attachment 135613 [details]

Version: 5.4.6.1 (x64)
Build-ID: 7d6c666f03cf1f0a0c2c51a17c0f67a8d5a8012b
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 6 Xisco Faulí 2018-03-12 15:23:29 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 7 Thanos 2018-06-08 09:34:07 UTC Comment hidden (spam)
Comment 8 Eyal Rozenberg 2018-09-30 18:23:15 UTC
Bug still manifests with:

Version: 6.2.0.0.alpha0+
Build ID: ad6adb1bfadf49af3187a0bb3ceffbf355e9eed1
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-29_02:45:20
Locale: en-US (en_IL); Calc: threaded
Comment 9 QA Administrators 2019-10-01 03:02:12 UTC
Dear Hamid,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug